# Function splitOnDelim

- splitOnDelim(delim: any): (str: any) => any

  Splits on a delimiter, but returns the delimiters in the array

  #### Example:

      var splitOnSlashes = splitOnDelim('/');
      splitOnSlashes("/foo"); // ["/", "foo"]
      splitOnSlashes("/foo/"); // ["/", "foo", "/"]

  #### Parameters

  - delim: any

  #### Returns (str: any) => any

  - Defined in src/shared/strings.js:122